## eclipse-tracecompass 6.2.0+repack

=== debian/changelog ===
eclipse-tracecompass (6.2.0+repack-1) unstable; urgency=medium

  * New upstream version 6.2.0+repack
    - Update pom.xml files.
    - Refresh patch.
  * Remove versioned dependency.
  * Update build dependency.
  * Create bundles.info during install.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Fri, 01 Jan 2021 22:00:20 +0000

eclipse-tracecompass (6.1.0+repack-3) unstable; urgency=medium

  * Add versioned dependency.
    - Add lintian override for long field.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Wed, 30 Dec 2020 17:51:21 +0000

eclipse-tracecompass (6.1.0+repack-2) unstable; urgency=medium

  * Update library name from libequinox-executable-jni.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Tue, 29 Dec 2020 20:50:42 +0000

eclipse-tracecompass (6.1.0+repack-1) unstable; urgency=medium

  * New upstream version 6.1.0+repack
    - Update pom files.
    - Remove patches applied upstream.
    - Refresh patches.
    - Fix build to use libeclipse-swtchart-java.
    - Update build and runtime dependency.
    - Update bundles info.
    - Update copyright.
  * Add delay to autopkgtest.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Wed, 23 Dec 2020 21:13:42 +0000

eclipse-tracecompass (5.3.0+repack-6) unstable; urgency=medium

  * Add support for pcap traces.
    - Update Readme.
  * Update Standards-Version to 4.5.1

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Sat, 12 Dec 2020 22:52:06 +0000

eclipse-tracecompass (5.3.0+repack-5) unstable; urgency=medium

  * Add a better autopkgtest to check the application launches.
    - Still superficial as we can not check a trace.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Sat, 05 Dec 2020 21:54:40 +0000

eclipse-tracecompass (5.3.0+repack-4) unstable; urgency=medium

  * Use branding information.
  * Add a simple autopkgtest.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Mon, 16 Nov 2020 14:19:17 +0000

eclipse-tracecompass (5.3.0+repack-3) unstable; urgency=medium

  * Add new bundles in dependency.
    - Caused due to update of libeclipse-ui-workbench-java.
  * Add dependency on libequinox-executable-jni and show splash screen.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Fri, 30 Oct 2020 14:10:17 +0000

eclipse-tracecompass (5.3.0+repack-2) unstable; urgency=medium

  * Source only upload.
  * Add watch file.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Sat, 24 Oct 2020 21:34:42 +0100

eclipse-tracecompass (5.3.0+repack-1) unstable; urgency=medium

  * Initial release (Closes: #943552)

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Tue, 06 Oct 2020 19:27:55 +0100
