=== debian/tests/control ===
Tests: test-gui
Depends: @, xvfb, xauth, xdotool, procps
Restrictions: superficial, allow-stderr
