=== debian/watch ===
version=4

opts="dversionmangle=s/\+repack//,repacksuffix=+repack,filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%eclipse-tracecompass-$1.tar.gz%" \
   https://github.com/tracecompass/tracecompass/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
