## eclipse-tracecompass 7.0.0+repack

=== debian/changelog ===
eclipse-tracecompass (7.0.0+repack-1) unstable; urgency=medium

  * New upstream version 7.0.0+repack.
    - Update pom files for packaging,
    - Remove unused bundles.info.in
    - Update versions in bundle script.
    - Refresh patches.
    - Ignore maven-toolchains-plugin.
    - Update copyright.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Mon, 30 Aug 2021 17:52:16 +0100
