=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

execute_before_dh_auto_clean:
	mkdir -p debian/generated-sources
	cp ctf/org.eclipse.tracecompass.ctf.parser/target/generated-sources/antlr3/org/eclipse/tracecompass/ctf/parser/CTF*.java \
		debian/generated-sources/.
	cp tmf/org.eclipse.tracecompass.tmf.filter.parser/target/generated-sources/antlr3/FilterParser.tokens \
		debian/generated-sources/.
	cp tmf/org.eclipse.tracecompass.tmf.filter.parser/target/generated-sources/antlr3/org/eclipse/tracecompass/tmf/filter/parser/*.java \
		debian/generated-sources/.
	rm -f ctf/org.eclipse.tracecompass.ctf.parser/src/main/antlr3/org/eclipse/tracecompass/ctf/parser/CTF*.java
	rm -f tmf/org.eclipse.tracecompass.tmf.filter.parser/src/org/eclipse/tracecompass/tmf/filter/parser/FilterParser*.java

execute_after_dh_auto_clean:
	find debian/pom -type f | sed 's/debian\/pom\///g' | xargs rm -f
	mkdir -p ctf/org.eclipse.tracecompass.ctf.parser/target/generated-sources/antlr3/org/eclipse/tracecompass/ctf/parser
	cp debian/generated-sources/CTF*.java \
	ctf/org.eclipse.tracecompass.ctf.parser/target/generated-sources/antlr3/org/eclipse/tracecompass/ctf/parser/.
	mkdir -p tmf/org.eclipse.tracecompass.tmf.filter.parser/target/generated-sources/antlr3/org/eclipse/tracecompass/tmf/filter/parser
	cp debian/generated-sources/FilterParser.tokens \
	tmf/org.eclipse.tracecompass.tmf.filter.parser/target/generated-sources/antlr3/.
	cp debian/generated-sources/FilterParser*.java \
	tmf/org.eclipse.tracecompass.tmf.filter.parser/target/generated-sources/antlr3/org/eclipse/tracecompass/tmf/filter/parser/.
	rm -rf debian/generated-sources
	rm -f debian/create_bundle.jar debian/bundles_script/create_info.class

execute_before_dh_auto_configure:
	cp -r debian/pom/* .
	cp ctf/org.eclipse.tracecompass.ctf.parser/target/generated-sources/antlr3/org/eclipse/tracecompass/ctf/parser/* \
		ctf/org.eclipse.tracecompass.ctf.parser/src/main/antlr3/org/eclipse/tracecompass/ctf/parser/.
	cp tmf/org.eclipse.tracecompass.tmf.filter.parser/target/generated-sources/antlr3/org/eclipse/tracecompass/tmf/filter/parser/* \
		tmf/org.eclipse.tracecompass.tmf.filter.parser/src/org/eclipse/tracecompass/tmf/filter/parser/.
	cd debian/bundles_script && javac create_info.java && jar cfe ../create_bundle.jar create_info create_info.class

execute_after_dh_auto_install:
	# This is an application, maven helper will install in maven-repo and in /usr/share/java.
	rm -rf debian/eclipse-tracecompass/usr/share/maven-repo
	mkdir -p debian/eclipse-tracecompass/usr/share/eclipse-tracecompass/plugins/org.eclipse.tracecompass.rcp.branding
	mkdir -p debian/eclipse-tracecompass/usr/share/eclipse-tracecompass/configuration/org.eclipse.equinox.simpleconfigurator
	find debian/eclipse-tracecompass -type l -delete
	mv debian/eclipse-tracecompass/usr/share/java/*.jar \
		debian/eclipse-tracecompass/usr/share/eclipse-tracecompass/plugins/
	rmdir debian/eclipse-tracecompass/usr/share/java
	for i in `ls rcp/org.eclipse.tracecompass.rcp.branding | grep -v -e "build.properties" -e "pom.xml"`; do \
		cp -r rcp/org.eclipse.tracecompass.rcp.branding/$$i \
		debian/eclipse-tracecompass/usr/share/eclipse-tracecompass/plugins/org.eclipse.tracecompass.rcp.branding/ ; \
	done
